#include <stdio.h>
#include <stdlib.h>

long long int max2(long long int a, long long int b )
{
    if ( a > 0 && b > 0)
    {
        return a+b;
    }
    else
    {
        return abs(a+b);
    }
    
}
int main()
{
    int n ; int m;
    scanf("%d %d",&n,&m);
    
    long long int sreca = 0;
    
    int druzeljubljivost [n] ;
    int i = 0 ;
    
    for ( i = 0 ; i < n ; i++ )
    {
        scanf("%d",&druzeljubljivost[i]);    
    }
    
    for ( i = 0 ; i < m ; i++ )
    {
        int a ; int b ;
        scanf("%d %d", &a , &b);
        sreca+=max2(druzeljubljivost[a-1],druzeljubljivost[b-1]);
        
    }
    
    printf("%lld",sreca);
    return 0;
}